Group Events
Group meetings let you host events with multiple participants. Unlike one-on-one meetings, group events are designed for collaborative scheduling where multiple attendees are invited to the same event.
GET /v3/grants/{grant_id}/scheduling/configurations/{configuration_id}/group-eventsReturns all group events within the given time range, from the specified Configuration.
POST /v3/grants/{grant_id}/scheduling/configurations/{configuration_id}/group-eventsCreates a group event in the specified Configuration.
PUT /v3/grants/{grant_id}/scheduling/configurations/{configuration_id}/group-events/{event_id}Updates the specified group event. When you make a PUT request, Nylas replaces all data in the nested object with the information included in your request. For more information, see Updating objects.
DELETE /v3/grants/{grant_id}/scheduling/configurations/{configuration_id}/group-events/{event_id}Deletes the specified group event.
POST /v3/scheduling/configurations/{configuration_id}/import-group-eventsImports existing events to your group events Configuration. You can import up to 20 events per request.
POST /v3/scheduling/configurations/{configuration_id}/group-events/validate-timeslotValidates whether the selected group event or time slot has changed, and is invalid. This can happen because... The group event was deleted. The group event was updated (for example, the start time wa...